com.gemstone.gbjgci

## Class GbjGciPreferences

- java.lang.Object
- - com.gemstone.gbjgci.GbjGciPreferences

-     public class GbjGciPreferences
      extends java.lang.Object

  GbjGciPreferences uses java Preferences (java System.getProperties on Android) to determine debug trace logging levels for the various Gbj/GbjGci modules. Customer applications should not need to change these unless requested by GemTalk Technical Support to assist in debugging a Gbj/GbjGci problem.

  Run by executing:

  prompt> java com.gemstone.gbjgci.GbjPreferences [command] [arg1] [arg2]

  Where valid commands are:

  - help - print out help text
  - print - print out current settings of all parameters
  - clear - remove all parameters
  - set [parameter] [value] - set parameter
  - remove [parameter] - remove parameter

  Valid parameters and their values are:

  - GbjGciInterface.CLogLevel
    Enable/disable trace logging of JNI C code.
    Possible values: OFF INFO DEBUG
    Default value: OFF
  - GBJ.LogLevel
  - <GBJ Class>.LogLevel
    Specify level of trace logging for this class.
    GBJ.LogLevel applies if class level is not set.
    Possible values: OFF SEVERE WARNING INFO CONFIG FINE FINER FINEST ALL
    Default value: WARNING

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjGciPreferences()` Constructor is not really needed as all behavior is static

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `debugC()` Return 0/1/2 if off/info/debug trace logging of GbjGciInterface JNI code should be enabled
    `static java.lang.String` | `get(java.lang.String pref)` Return a preference string value
    `static java.lang.String` | `get(java.lang.String pref, java.lang.String deflt)` Return a preference string value
    `static java.util.logging.Level` | `logLevel(java.lang.String moduleName)` Return trace debug logging level for designated module
    `static void` | `main(java.lang.String[] args)` Main program for viewing/setting/removing Gbj/GbjGci debug trace logging levels

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GbjGciPreferences

          public GbjGciPreferences()

      Constructor is not really needed as all behavior is static

  - ### Method Detail

    - #### get

          public static java.lang.String get(java.lang.String pref,
                                             java.lang.String deflt)

      Return a preference string value
      Parameters:
        `pref` - String
        `deflt` - String
      Returns:
        String result

    - #### get

          public static java.lang.String get(java.lang.String pref)

      Return a preference string value
      Parameters:
        `pref` - String
      Returns:
        String result

    - #### debugC

          public static int debugC()

      Return 0/1/2 if off/info/debug trace logging of GbjGciInterface JNI code should be enabled
      Returns:
        int result

    - #### logLevel

          public static java.util.logging.Level logLevel(java.lang.String moduleName)

      Return trace debug logging level for designated module
      Parameters:
        `moduleName` - String
      Returns:
        Level result

    - #### main

          public static void main(java.lang.String[] args)

      Main program for viewing/setting/removing Gbj/GbjGci debug trace logging levels
      Parameters:
        `args` - String array of input arguments